Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#81 Vecer Asian Option Engine

None
closed-accepted
None
5
2014-11-25
2014-06-29
blquant8
No

This Code does implement a new pricing engine for continuously sampled arithmetic average price options. The method is taken from the paper published under www.stat.columbia.edu/~vecer/asian-vecer.pdf. The paper describes a one factor pde method to price a greater class of asian options. The method uses a self financing strategie in the underlying to replicate the average.

I included a header and a source file for the engine. I also included an example main routine file that shows the engine code can accuratly reproduce these published prices. The engine files are meant to be put in the ql/experimental/exoticoptions path in the QuantLib sources.

ToDos:
1.) Implement seasoned options (averaging has already begun).
2.) Help User in finding proper grid dimensions. The default does well for a lot of cases. But if volatility is high or the option is deep out or in the money the code should help the user to find proper dimensions and truncations. Trivial cases (negative strike for example) could be trapped more nicely
3.) Implement new options classes like the average strike option. Also rolling future forward curve should be implemented in the future.
4.) Solution surface should be a result object. And should be able to be used in Excel for example

1 Attachments

Related

Patches: #81

Discussion

  • Luigi Ballabio
    Luigi Ballabio
    2014-11-25

    • status: open --> closed-accepted
    • assigned_to: Luigi Ballabio
    • Group: -->
     
    • blquant8
      blquant8
      2014-11-27

      Thank you Luigi!

      2014-11-25 10:18 GMT+01:00 Luigi Ballabio lballabio@users.sf.net:

      • status: open --> closed-accepted
      • assigned_to: Luigi Ballabio
      • Group: -->
      • Comment:

      Thanks for the contribution. I've added it to the repository.

      Status: closed-accepted
      Group:
      Created: Sun Jun 29, 2014 11:07 AM UTC by blquant8
      Last Updated: Sun Jun 29, 2014 11:07 AM UTC
      Owner: Luigi Ballabio

      This Code does implement a new pricing engine for continuously sampled
      arithmetic average price options. The method is taken from the paper
      published under www.stat.columbia.edu/~vecer/asian-vecer.pdf. The paper
      describes a one factor pde method to price a greater class of asian
      options. The method uses a self financing strategie in the underlying to
      replicate the average.

      I included a header and a source file for the engine. I also included an
      example main routine file that shows the engine code can accuratly
      reproduce these published prices. The engine files are meant to be put in
      the ql/experimental/exoticoptions path in the QuantLib sources.

      ToDos:
      1.) Implement seasoned options (averaging has already begun).
      2.) Help User in finding proper grid dimensions. The default does well for
      a lot of cases. But if volatility is high or the option is deep out or in
      the money the code should help the user to find proper dimensions and
      truncations. Trivial cases (negative strike for example) could be trapped
      more nicely
      3.) Implement new options classes like the average strike option. Also
      rolling future forward curve should be implemented in the future.
      4.) Solution surface should be a result object. And should be able to be
      used in Excel for example


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/quantlib/patches/81/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #81

      Attachments
  • Luigi Ballabio
    Luigi Ballabio
    2014-11-25

    Thanks for the contribution. I've added it to the repository.